package com.bcxin.ars.model.approve;

import com.bcxin.ars.model.BaseModel;

/**
 * 审批环节流程明细
 *
 * @author zhangye
 * @since 2018-01-19 14:16:26
 */
public class ApproveLinkProDetail extends BaseModel {
    private static final long serialVersionUID = 1384840118L;


    /**
     * 流程配置信息
     */
    private String processInfo;

    /**
     * 区域级别
     */
    private String regionLevel;

    /**
     * 单位所在区域ID
     */
    private String regionId;

    /**
     * 区域审批流程ID
     */
    private Long approveAreaProId;

    /**
     * 审批模板环节关联ID
     */
    private Long tempLinkRelaId;

    /**
     * 公安单位ID
     */
    private Long policeId;

    /**
     * 单位代码
     */
    private String policeCode;

    public String getProcessInfo() {
        return processInfo;
    }

    public String getPoliceCode() {
        return policeCode;
    }

    public void setPoliceCode(String policeCode) {
        this.policeCode = policeCode;
    }

    public void setProcessInfo(String processInfo) {
        this.processInfo = processInfo;
    }

    public String getRegionLevel() {
        return regionLevel;
    }

    public void setRegionLevel(String regionLevel) {
        this.regionLevel = regionLevel;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getApproveAreaProId() {
        return approveAreaProId;
    }

    public void setApproveAreaProId(Long approveAreaProId) {
        this.approveAreaProId = approveAreaProId;
    }

    public Long getTempLinkRelaId() {
        return tempLinkRelaId;
    }

    public void setTempLinkRelaId(Long tempLinkRelaId) {
        this.tempLinkRelaId = tempLinkRelaId;
    }

    public Long getPoliceId() {
        return policeId;
    }

    public void setPoliceId(Long policeId) {
        this.policeId = policeId;
    }
}